
trans(In,Out) :- see(In), tell(Out), allterms, seen, told.

allterms :- read(C),
	(C == end_of_file ->
	 true
	  ;
	 numbervars(C,0,_), decompose_clause(C,H,B),
	 print(my_clause(H,B)), write('.'), nl,
	 allterms
	).

%%-----------------------------------------------------------------------------
decompose_clause((H :- B), DH, DB) :- !, H=..DH, decompose_body(B,DB).
decompose_clause(H, DH, []) :- H=..DH.

decompose_body((B,Bs),[DB|DBs]) :- !, B=..DB, decompose_body(Bs,DBs).
decompose_body(B,[DB]) :- B=..DB.

%%-----------------------------------------------------------------------------
